# Alpha is our primary server that we use for bots which basically
# serve services that I personally run
variable "alpha_ssh_key_name" {}
variable "alpha_public_key_path" {}


variable "alpha_instance_type" {}

variable "alpha_ami_id" {}

resource "aws_key_pair" "alpha_ssh" {
  key_name = var.alpha_ssh_key_name
  public_key = file(var.alpha_public_key_path)
}

resource "aws_instance" "alpha" {
  ami = var.alpha_ami_id
  instance_type = var.alpha_instance_type

  key_name = var.alpha_ssh_key_name

  private_ip = "10.0.1.10"
  security_groups = [ 
    aws_security_group.general_web_req.id,
    aws_security_group.internal_ssh_recv.id
  ]
  subnet_id = aws_subnet.crete_subnet.id
  tags = {
    Name = "Alpha Host"
  }
}
