# Sigma is the system that sits between the internally hosted web services 
# and the outside world it's job is basically to act as a router for
# outside incoming traffic and the web servers

variable "sigma_ssh_key_name" {}
variable "sigma_public_key_path" {}

variable "sigma_instance_type" {}
variable "sigma_ami_id" {}

resource "aws_key_pair" "sigma_ssh" {
  key_name = var.sigma_ssh_key_name
  public_key = file(var.sigma_public_key_path)
}

resource "aws_instance" "sigma" {
  ami = var.sigma_ami_id
  instance_type = var.sigma_instance_type

  key_name = var.sigma_ssh_key_name

  private_ip = "10.0.2.11"
  security_groups = [
    aws_security_group.internal_ssh_recv.id,
    aws_security_group.general_web_req.id,
  ]

  subnet_id = aws_subnet.olympus_subnet.id

  tags = {
    Name = "Sigma Host"
  }
}

